Subject: [os2genau_digest] No. 1107
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 15 May 2005 00:02:08 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Saturday 14 May 2005
 Number  1107
**************************************************

Subjects for today
 
1  Re:  Thinkpad R51 : Dennis Nolan <dennik at swiftdsl dot com dot au>
2  Re:  Thinkpad R51 : Ed Durrant <edurrant at bigpond dot net dot au>
3  Re:  ADSL : Peter <pgc at sub dot net dot au>

**= Email   1 ==========================**

Date:  Sat, 14 May 2005 10:13:52 +1000
From:  Dennis Nolan <dennik at swiftdsl dot com dot au>
Subject:  Re:  Thinkpad R51

Thanks Ed

I tried using the Pro 1000 driver, got the SYS1201 error and the driver 
not loaded, but the system still crashed.
I did an Alt F4 and stepped through with the correct Pro 100 driver and 
could see that the driver loaded before it crashed.

My conclusion is that whatever comes just after the adapter driver is 
loaded is causing the crash.

Interestingly, although the display seems to flash the normal adapter 
info before it crashes, the \ibmcom\lantran.log file is not written to. 
ie it's a blank file.
Just maybe it's could be disk access that is the problem.
c:\popup.log is missing too

The exception message does not give a module name which seems to 
indicate a problem in the boot process rather than in a module being 
executed by the boot process.

Regards
Dennis
Ed Durrant wrote:

>> Hi Dennis,
>>
>>   If the adapter REALLY is a 100 Mb/s and not a 1000Mb/s (GB) 
>> interface - try the driver here:
>>
>> http://www-307.ibm dot com/pc/support/site.wss/document.do?sitestyle=ibm&lndocid=MIGR-4LXTHV 
>>
>>
>> Cheers/2
>>
>> Ed.
>
>
> Hi Dennis,
>
>  It appears that some of the R50/R51 range have 100 Mb/s networking 
> and some GB networking - can you give me the exact model number please 
> and I'll check, but I suspect you actually have an Intel Pro/1000 not 
> an Intel Pro/100 - so the same as on my T42 Thinkpad. (yes it works 
> under OS/2 and eCS).
>
> Heres that driver:
>
> http://www-307.ibm dot com/pc/support/site.wss/document.do?lndocid=MIGR-54084
>
> Cheers/2
>
> Ed.
 
>
> 

>
>
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 14 May 2005 11:04:38 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Thinkpad R51

> [C:\]help sys1201
>
> SYS1201: The device driver *** specified in the *** statement
> on line *** of the CONFIG.SYS file was not installed.  Line ***
> is ignored.
>
> EXPLANATION: None of the device drivers contained in the specified
> file are installed successfully.
>
> ACTION: Edit the CONFIG.SYS file to correct or remove the incorrect
> statement.  Then restart the system.
>

So it does seem to point to the driver.

OK, I'll send you a couple of other alternative drivers (there seem to 
be different variants of this chipset), direct to your e-mail, not via 
the list.

Cheers/2

Ed.

Dennis Nolan wrote:

> Thanks Ed
>
> I tried using the Pro 1000 driver, got the SYS1201 error and the 
> driver not loaded, but the system still crashed.
> I did an Alt F4 and stepped through with the correct Pro 100 driver 
> and could see that the driver loaded before it crashed.
>
> My conclusion is that whatever comes just after the adapter driver is 
> loaded is causing the crash.
>
> Interestingly, although the display seems to flash the normal adapter 
> info before it crashes, the \ibmcom\lantran.log file is not written 
> to. ie it's a blank file.
> Just maybe it's could be disk access that is the problem.
> c:\popup.log is missing too
>
> The exception message does not give a module name which seems to 
> indicate a problem in the boot process rather than in a module being 
> executed by the boot process.
>
> Regards
> Dennis
> Ed Durrant wrote:
>
>>> Hi Dennis,
>>>
>>>   If the adapter REALLY is a 100 Mb/s and not a 1000Mb/s (GB) 
>>> interface - try the driver here:
>>>
>>> http://www-307.ibm dot com/pc/support/site.wss/document.do?sitestyle=ibm&lndocid=MIGR-4LXTHV 
>>>
>>>
>>> Cheers/2
>>>
>>> Ed.
>>
>>
>>
>> Hi Dennis,
>>
>>  It appears that some of the R50/R51 range have 100 Mb/s networking 
>> and some GB networking - can you give me the exact model number 
>> please and I'll check, but I suspect you actually have an Intel 
>> Pro/1000 not an Intel Pro/100 - so the same as on my T42 Thinkpad. 
>> (yes it works under OS/2 and eCS).
>>
>> Heres that driver:
>>
>> http://www-307.ibm dot com/pc/support/site.wss/document.do?lndocid=MIGR-54084 
>>
>>
>> Cheers/2
>>
>> Ed.
> 
>>
>> 
>
>>
>>
 
>
> 

>

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sun, 15 May 2005 00:01:33 +1000
From:  Peter <pgc at sub dot net dot au>
Subject:  Re:  ADSL

Hi Mike

Sorry I never answered your question re accessing Warp 4 from Win 98SE.

Warp was installed as FAT16.  I'm not nerdy enough to explain why 
accessing Warp is possible, other than saying because 98SE & Warp are 
both FAT installations, Warp can be seen via Windows Explorer.

I've since fixed the problem & ADSL is working fine.

Cheers
Peter

Mike O'Connor wrote:

> Peter wrote:
>
>> Compounding the problem is that I cant use the selective Archival 
>> boot feature because the OS/2 logo at top left-hand corner doesnt 
>> appear & alt-f1 doesnt work.
>>
>> I have Windows 98SE on another partition from which I can access Warp 
>> via Windows Explorer in case editing the config.sys file might solve 
>> the bootup problem.
>
>
> Hi Peter,
>
> I was rather intrigued to see the last  statement above - would you 
> care to share with the rest of us how you are able to access Warp4 
> from Windows 98SE? Is Warp4 boot-partition formatted as [FAT16?] or do 
> you have some third-party commercial software for that, because it's 
> definitely not a Windows Explorer standard feature?
>
> Have you ever had the Warp4 Boot Recovery Menu activated - from bottom 
> of Archive Tab of Desktop Properties Notebook. If you can access 
> \OS2\BOOT\ARCHBASE.$$$, a Read-only binary file, I can send you a REXX 
> script to modify it so that the menu always comes up on every boot, 
> but you can nominate the timeout seconds until it continues with a 
> standard boot to GUI with regular config.sys.
>
> I have always had the menu implemented here, since Warp3 -->Warp4 --> 
> MCPx -->eCS 1.x, as I never could catch the key-combo in time, and by 
> setting my timeout to 10 seconds that means only an additional 10 
> seconds for an unattended/timed boot. I can also reinstate the 
> archiving feature programatically in the REXX script.
>
> HTH
>
----------------------------------------------------------------------------------